Package: groovy.console.ui

## [Groovy] Class ConsolePreferences

- groovy.console.ui.ConsolePreferences

-     class ConsolePreferences
      extends Object

  Manages the Groovy Console preferences dialog and persisted settings.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static int` | `DEFAULT_LOOP_MODE_DELAY_MILLIS` Default loop mode delay, in milliseconds.
    `static int` | `DEFAULT_MAX_OUTPUT_CHARS` Default maximum number of characters retained in the output area.
    `String` | `customDarkThemePath` Optional custom dark theme path.
    `String` | `customLightThemePath` Optional custom light theme path.
    `int` | `iconSize` Selected icon size for console actions.
    `int` | `loopModeDelay` Delay between loop mode executions, in milliseconds.
    `int` | `maxOutputChars` Maximum number of characters retained in the output area.
    `File` | `outputFile` Output file currently selected in the preferences dialog.
    `boolean` | `scaleIconsWithFont` Whether action icons should track the current font size.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConsolePreferences(Object console)` Creates a preferences controller for the supplied console.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `main(Object args)` Launches the preferences dialog in isolation for manual UI checks.
    `` | `void` | `show()` Displays the preferences dialog.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### static int DEFAULT_LOOP_MODE_DELAY_MILLIS

      Default loop mode delay, in milliseconds.

    - #### static int DEFAULT_MAX_OUTPUT_CHARS

      Default maximum number of characters retained in the output area.

    - #### @Bindable
      String customDarkThemePath

      Optional custom dark theme path.

    - #### @Bindable
      String customLightThemePath

      Optional custom light theme path.

    - #### @Bindable
      int iconSize

      Selected icon size for console actions.

    - #### @Bindable
      int loopModeDelay

      Delay between loop mode executions, in milliseconds.

    - #### @Bindable
      int maxOutputChars

      Maximum number of characters retained in the output area.

    - #### File outputFile

      Output file currently selected in the preferences dialog.

    - #### @Bindable
      boolean scaleIconsWithFont

      Whether action icons should track the current font size.

  - ### Constructor Detail

    - #### ConsolePreferences(Object console)

      Creates a preferences controller for the supplied console.

      Parameters:
        `console` - console instance that owns the dialog

  - ### Method Detail

    - #### static void main(Object args)

      Launches the preferences dialog in isolation for manual UI checks.

      Parameters:
        `args` - ignored command-line arguments

    - #### void show()

      Displays the preferences dialog.